%File sail.Rd

\name{sail}
\alias{sail}
\title{Run Sailr script and manipulate dataframe }
\description{
  datasailr::sail() is the main function of this package. This function takes data.frame as the 1st argument and Sailr script as the 2nd argument. (Note that the 1st argument is data.frame, so you can use this package with %>% operator (in magrittr package), and combine this with functions of dplyr.
}
\usage{
  sail( df, code, fullData = FALSE , rowname = "_rowname_")
}
\arguments{
  \item{df}{ data.frame to be processed.}
  \item{code}{ Sailr script that instructs Silar engine to manipulate values and strings.}
  \item{fullData}{ When fullData is set False (default value), only the columns corresponding to left-hand-side(LHS) variables in sailr scripts are returned. (e.g. In Sailr script, bmi = weight / height / height , the variable bmi is the LHS. ) If set True, all the columns are returned. This option is intended to minimize the memory usage.}
  \item{rowname}{ Dataframe's row names are accessed via the variable name specified by this option. The default variable name is _rowname_, meaning that _rowname_ represents dataframe's row names in Sailr script, though this does not allow assignment. Even if you assign some value to this variable, they are not reflected in the row names of the result dataframe. }
}

